* ------------------------------------------------------------------------------
* Name: Run fixed effects regressions (Run_fe_regressions.do)
* Author: Vladimir Yankov (vladimir.l.yankov@frb.gov)
* ------------------------------------------------------------------------------
clear
set matsize 10000
* set paths
* ------------------------------------------------------------------------------
cd "/ofs/scratch-m1vly00/Data/RW_data/RW_final/deposits/"
* ------------------------------------------------------------------------------
use deposits_b_m_t.dta

bysort date msa_code: egen assets_rank = rank(-assets)

sort msa_code date assets_rank

* ------------------------------------------------------------------------------
* Run regressions
gen log_assets = log(assets)

reg apy_cd3 libor_3mo

areg apy_cd3 libor_3mo log_assets int_ff_repo, absorb(id_rssd_hd_off) vce(robust)

reg apy_cd3_rank assets_rank
areg apy_cd3_rank assets_rank, absorb(id_rssd_hd_off) vce(robust)


