function [ F_q ] = F_qvec(R,F,qvec,R_min,R_tilde,sigma,beta,tau)
% Derivative of equilibrium F with respect to qvec
N = max(size(qvec));
F_q = zeros(N,1);

psiR = psi_R(R,R_tilde, sigma, beta, tau );
psiRmin = psi_R(R_min,R_tilde, sigma, beta, tau );



q_sum_2 = 0;
for j=1:N;
q_sum_2 = q_sum_2+j*(j-1)*qvec(j)*F^(j-2);
end

F_q(1) = -(1./q_sum_2).*(1- psiRmin./psiRmin -N*F.^(N-1));
for k = 2:N-1
    F_q(k) = -(1./q_sum_2)*(k*F.^(k-1)-N*F.^(N-1));
end
F_q(N)=-(1./q_sum_2)*N*F.^(N-1);



end

