function [ F_s ] = F_sigma(R,F,qvec,R_min,R_tilde,sigma,beta,tau)
% From the implicit function theorem: derivative of F_R wrt sigma-ies
N = max(size(qvec));
q_sum_2 = 0;
for j=1:N;
q_sum_2 = q_sum_2+j*(j-1)*qvec(j)*F^(j-2);
end

psiR = psi_R( R,R_tilde, sigma, beta, tau );
psiRmin = psi_R( R_min,R_tilde, sigma, beta, tau );

[psi_sigma_R,~]= psi_sigma( R,R_tilde, sigma, beta, tau );
[psi_sigma_Rmin,~]= psi_sigma( R_min,R_tilde, sigma, beta, tau );

F_s =  (qvec(1)/q_sum_2)*(psi_sigma_Rmin.*psiR -psi_sigma_R.*psiRmin)./psiR.^2 ;

end

