function [ psi_inv_R ] = psi_inv(u,R_tilde,R_min,R_max, sigma, beta, tau)
% Inverse of the profit function -- R = inv_psi(psi)
n = max(size(u));
psi_inv_R = zeros(1,n);
for i = 1:n;
    ffzero= @(R) psi_R(R,R_tilde, sigma, beta, tau) - u(i);
    options = optimset('Display','off','TolFun',1e-16);
    [psi_inv_R(i), ~, exitflag ]= fzero(@(R)ffzero(R),(R_max+R_min)/2,options);
    if exitflag ~=1
        psi_inv_R(i) = R_max;
    end  
   
end
end

