function [ psi_s, psi_R_s ] = psi_sigma( R,R_tilde, sigma, beta, tau )
% Derivative of the profit function wrt sigma_ies
psi_s = -(R_tilde - R).* h_sigma_der(R,sigma,beta,tau);
% Derivative of the marginal profit wrt to sigma_ies
psi_R_s = (1+(1-sigma).*((R_tilde-R)./R).*h(R,sigma,beta,tau)).*h_sigma_der(R,sigma,beta,tau)+...
    (1-h(R,sigma,beta,tau)).*(((R_tilde-R)./R).*h(R,sigma,beta,tau)-...
    (1-sigma).*((R_tilde-R)./R).*h_sigma_der(R,sigma,beta,tau));
end

